Page MenuHomePhabricator

P<id> and Q<id> links don't display wikidata icon
Closed, ResolvedPublic

Description

Designs (https://wikimedia.invisionapp.com/share/NJOIMI9D6SX#/screens/324924537) displayed a wikidata logo in front of the P<id> and Q<id> links in the depicts widget.
Those are currently missing.
There's CSS to display them (by using .wbmi-entity-link-foreign-repo-wikidata or .wbmi-entity-link-foreign-repo-wikidata), but JS & PHP don't currently recognize those items as foreign wikidata items.

Acceptance criteria

https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg

  • Links to wikidata items (all P<id> and Q<id> things on the right) should have a wikidata icon in front of them

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterFollow-up a0143594: Production uses 'd' as the interwiki for Wikidata
mediawiki/extensions/WikibaseMediaInfo : masterExtract repository name for entities

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2019, 2:08 PM
Ramsey-WMF triaged this task as Medium priority.Apr 2 2019, 3:54 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 501547 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Extract repository name for entities

https://gerrit.wikimedia.org/r/501547

Change 501547 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Extract repository name for entities

https://gerrit.wikimedia.org/r/501547

Change 501637 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@master] Follow-up a0143594: Production uses 'd' as the interwiki for Wikidata

https://gerrit.wikimedia.org/r/501637

Change 501637 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Follow-up a0143594: Production uses 'd' as the interwiki for Wikidata

https://gerrit.wikimedia.org/r/501637

Ha78na claimed this task.Apr 16 2019, 4:15 PM
Ha78na added subscribers: Edtadros, Ha78na.

I've QA'ed this on test commons and it looks good, I see icons.

Ramsey-WMF closed this task as Resolved.Apr 23 2019, 11:24 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Verified on production.